#
# spec file for package simple-extract
#
# Copyright (c) 2024 Michael Berry.
#

Name:           simple-extract
Version:        0.3.1
Release:        0
Summary:        A small command line utility to help extract compressed archives.
License:        MIT
URL:            https://github.com/berrym/simple_extract
Source:         https://files.pythonhosted.org/packages/source/s/simple-extract/simple-extract-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Requires:       curl
Requires:       tar
Requires:       gzip
Requires:       bzip2
Requires:       unrar
Requires:       lha
Requires:       unzip
Requires:       cpio
Requires:       xz
Requires:       zstd
Recommends:     wget

%description
A small command line utility to that automatically extracts many types of compressed archives,
locally or by fetching them over the internet first.

%global debug_package %{nil}

%prep
%setup -q -n simple-extract-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%clean
rm -rf %{buildroot}

%files -n simple-extract
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/simple_extract/
%{python3_sitelib}/simple_extract-0.3.0.dist-info/

%changelog
* Fri Feb 16 2024 Michael Berry <trismegustis@gmail.com> - 0.3.0
- Stable version 0.3.1 build.

* Thu Jan 25 2024 Michael Berry - 0.3.0
- Initial version of the package

